// Terrain blend for WS gamma
textures/terrain_soc_hubris/ter_rock2sand
{
	qer_editorImage textures/terrain_soc/ter_rocksand.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	q3map_nonPlanar
	q3map_shadeAngle 75
	{
		// Primary
		map textures/terrain_soc/rock_grey3.tga
		rgbGen identity
	}
	{
		// Secondary
		map textures/terrain_soc/ter_sand1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Dirt (start room)
textures/terrain_soc_hubris/ivec_dirt1
{
	qer_editorImage textures/terrain_soc/ivec_dirt1.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 60
	q3map_lightmapMergable
	{
		map textures/terrain_soc/ter_dirt1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Dirt to rock (start room road)
textures/terrain_soc_hubris/ivec_dirt1torock3
{
	qer_editorImage textures/hubris/ei/ter_dirtrock.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 60
	q3map_lightmapMergable
	{
		map textures/terrain_soc/ter_dirt1.tga
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Dirt to moss (start room grass)
textures/terrain_soc_hubris/ivec_dirt1tomoss1
{
	qer_editorImage textures/hubris/ei/ter_dirtmoss.tga
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_nonPlanar
	q3map_shadeAngle 60
	q3map_lightmapMergable
	surfaceparm grasssteps
	{
		map textures/terrain_soc/ter_dirt1.tga
		rgbGen identity
	}
	{
		map textures/terrain_soc/ter_moss1.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Mud with phong
textures/terrain_soc_hubris/ivec_mud1
{
	qer_editorImage textures/terrain_soc/ivec_mud1.tga
	q3map_nonPlanar
	q3map_shadeAngle 60
	q3map_lightmapMergable
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/terrain_soc/ter_mud1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ivec mud + rock shaders (jump 4)
textures/terrain_soc_hubris/ivec_mud1_128
{
	qer_editorImage textures/hubris/ei/ivec_mud1_128.tga
	q3map_nonPlanar
	q3map_shadeAngle 75
	q3map_lightmapMergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/terrain_soc/ter_mud1.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/terrain_soc_hubris/rock_grey3_XY
{
	qer_editorImage textures/hubris/ei/rock_XY.tga	
	q3map_nonPlanar
	q3map_shadeAngle 75	
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/terrain_soc_hubris/rock_grey3_XZ
{
	qer_editorImage textures/hubris/ei/rock_XZ.tga	
	q3map_nonPlanar
	q3map_shadeAngle 75	
	q3map_tcGen ivector ( 128 0 0 ) ( 0 0 128 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/terrain_soc_hubris/rock_grey3_YZ
{
	qer_editorImage textures/hubris/ei/rock_YZ.tga	
	q3map_nonPlanar
	q3map_shadeAngle 75	
	q3map_tcGen ivector ( 0 128 0 ) ( 0 0 128 )
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/rock_grey3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/terrain_soc_hubris/ivec_mud1torock3
{
	qer_editorImage textures/hubris/ei/ter_mudrock.tga
	q3map_nonPlanar
	q3map_shadeAngle 75
	q3map_lightmapMergable
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
	{
		map textures/terrain_soc/ter_mud1.tga
		rgbGen identity
	}	
	{
		map textures/terrain_soc/rock_grey3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// Mud to Dirt (jump 1)
textures/terrain_soc_hubris/ivec_mud1todirt1
{
	qer_editorImage textures/hubris/ei/ter_muddirt.tga
	q3map_nonPlanar
	q3map_shadeAngle 60
	q3map_lightmapMergable
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	{
		map textures/terrain_soc/ter_mud1.tga
		rgbGen identity
	}
	{
		map textures/terrain_soc_hubris/ter_dirt1b.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}